### Method

# Clapper Queue select_index

#### Declaration [src]

    gboolean
    clapper_queue_select_index (
      ClapperQueue* queue,
      guint index
    )

#### Description [src]

Selects `ClapperMediaItem` at `index` from `queue` as current one or unselects currently selected index when `index` is `CLAPPER_QUEUE_INVALID_POSITION`.

#### Parameters

`index`

  Type: `guint`

  An item index or `CLAPPER_QUEUE_INVALID_POSITION` to unselect.

#### Return value

Type: `gboolean`

`TRUE` if item at `index` could be selected/unselected, `FALSE` if index was out of queue range.